ONVIF::PTZ::Elements::ContinuousMove(3)

NAME
ONVIF::PTZ::Elements::ContinuousMove

DESCRIPTION
Perl data type class for the XML Schema defined element ContinuousMove from the namespace http://www.onvif.org/ver20/ptz/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ProfileToken

     $element->set_ProfileToken($data);
     $element->get_ProfileToken();

•   Velocity

     $element->set_Velocity($data);
     $element->get_Velocity();

•   Timeout

     $element->set_Timeout($data);
     $element->get_Timeout();

METHODS

  new
 my $element = ONVIF::PTZ::Elements::ContinuousMove->new($data);

Constructor. The following data structure may be passed to new():

 {
   ProfileToken => $some_value, # ReferenceToken
   Velocity =>  { # ONVIF::PTZ::Types::PTZSpeed
     PanTilt => ,
     Zoom => ,
   },
   Timeout =>  $some_value, # duration
 },

AUTHOR
Generated by SOAP::WSDL